Zend Framework 1 installed via Composer causes problems

For programming and general questions on Zend Framework

Zend Framework 1 installed via Composer causes problems

Postby jon2125 on Thu Nov 02, 2017 12:41 pm

I have a PHP Library installed via composer that requires zendframework/zendframework1.
That causes composer to install "zendframework/zendframework1" into the vendor folder.

Since SilverStripe Framework already has Zend in "framework/thirdparty/Zend" I run into errors:

Code: Select all
PHP message: PHP Fatal error:  Cannot redeclare class Zend_Locale in /framework/thirdparty/Zend/Locale.php on line 30


These errors only happen in a different module installed via composer that has no dependency for zendframework.

Any Ideas how to fix this?

Thanks
jon2125
 
Posts: 1
Joined: Thu Nov 02, 2017 12:40 pm

Return to Zend Framework

Who is online

Users browsing this forum: No registered users and 5 guests